Page MenuHomePhabricator

Audio player not rendered
Closed, ResolvedPublic

Description

As observed in https://en.wikipedia.org/wiki/1812_Overture


This happens for me in Chrome/Windows, and only if logged in (parser cache mishmash?) In console, I see:

https://en.wikipedia.org/static/1.27.0-wmf.9/extensions/TimedMediaHandler/MwEmbedModules/EmbedPlayer/resources/skins/kskin/images/ksprite.png?b0bc6 Failed to load resource: the server responded with a status of 404 (Not Found)
load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=C4Owe2Rm:89 GET https://en.wikipedia.org/static/1.27.0-wmf.9/extensions/TimedMediaHandler/MwEmbedModules/EmbedPlayer/resources/skins/kskin/images/ksprite.png?b0bc6 404 (Not Found)

Which is kinda WTF because currently deployed versions are wmf.14 and wmf.15.

Event Timeline

MaxSem created this task.Mar 2 2016, 8:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 8:09 AM
brion claimed this task.Mar 2 2016, 8:13 AM

Welp, that's my territory I guess. :) taking the bug. Will try to repro locally and identify details tomorrow

MaxSem added a comment.Mar 2 2016, 8:25 AM

Bleh, that image comes from a huge blob of CSS that TMH inserts in <head>. Guess that needs a migration to ResourceLoader.

TheDJ added a subscriber: TheDJ.Mar 20 2016, 10:01 PM

Probably the same as T115706

TheDJ added a subscriber: Krinkle.Mar 20 2016, 10:16 PM

I think there was another ticket on this 1.27.0-wmf.9 issue...

Come to think of it, this was due to a recent change in static resources serving or something, which doesn't automatically reflect in cached js or css resources. I remember I discussed it with @Krinkle, but I already forgot the details and I can't seem to find back the ticket (or was it just on IRC ?).

TheDJ moved this task from Backlog to Kaltura/MwEmbed on the Kaltura player board.Oct 18 2016, 6:53 PM
Aklapper removed brion as the assignee of this task.Jun 19 2020, 4:16 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

Krinkle closed this task as Resolved.Jun 19 2020, 6:11 PM
Krinkle claimed this task.

Works now. This was likeky an infra issues with caching somewhere, not TMH related. But, we'll never know for sure. If it happens again, it'll be a new investigation.